Subject: Re: [bug#30111] gnu: gcc@7: Apply the 'retpoline' mitigation technique.
From: zimoun <[email-masked]>
To: Efraim Flashner <[email-masked]>
Cc: [email-masked], Alex Vong <[email-masked]>
Date: Tue, 09 Feb 2021 02:07:28 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Mon, 11 Jan 2021 at 22:03, Efraim Flashner <[email-masked]> wrote:
> On Mon, Jan 11, 2021 at 04:43:41PM +0100, zimoun wrote:
>> On Sat, 19 Dec 2020 at 00:22, zimoun <[email-masked]> wrote:
>> > On Sun, 14 Jan 2018 at 21:07, Alex Vong <[email-masked]> wrote:
>> >
>> >> This patch adds the repoline patches (totally 17 of them) taken from the
>> >> 'retpoline-20180107' branch at
>> >> ``http://git.infradead.org/users/dwmw2/gcc-retpoline.git'' to gcc@7.
>> >
>> > As asked here: <http://issues.guix.gnu.org/issue/30111#12>, since gcc
>> > 7.3 is in, and now even more recent, I am inclined to close this
>> > submission since it appears to me no more relevant.
>> 
>> If no objection, I will close this in the coming days.
>
> I believe we're good
>
> (ins)efraim@3900XT ~$ lscpu | grep retpoline
> Vulnerability Spectre v2:        Mitigation; Full AMD retpoline, IBPB conditional, STIBP conditional, RSB filling
> (ins)efraim@3900XT ~$ uname -a
> Linux 3900XT 5.10.6-gnu #1 SMP 1 x86_64 GNU/Linux

Thanks Efraim.  If I miss something, please reopen it.

Cheers,
simon